summaryrefslogtreecommitdiff
path: root/taler-build/update_auditor.sh
diff options
context:
space:
mode:
Diffstat (limited to 'taler-build/update_auditor.sh')
-rwxr-xr-xtaler-build/update_auditor.sh14
1 files changed, 14 insertions, 0 deletions
diff --git a/taler-build/update_auditor.sh b/taler-build/update_auditor.sh
new file mode 100755
index 0000000..f792ce1
--- /dev/null
+++ b/taler-build/update_auditor.sh
@@ -0,0 +1,14 @@
+#!/bin/bash
+
+set -eu
+
+cd $HOME/auditor
+git clean -fxd
+
+git fetch
+# reset to updated upstream branch, but only if we're tracking a branch
+branch=$(git rev-parse --abbrev-ref --symbolic-full-name @{u} 2>/dev/null || echo HEAD)
+git reset --hard "$branch"
+
+git submodule update --force --init
+./template